DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# RegisterClass

Register a registry class

## SYNOPSIS

`#include "dip_registry.h"`

dip_Error dip_RegisterClass ( class )

## FUNCTION

This function registers a Registry class. See `Register` for more information about DIPlib's Registry.

## ARGUMENTS

Data type | Name | Description
`dip_int` | `class` | Registry class ID

## SEE ALSO

`Register`, `Unregister`, `RegistryValid`, `RegistryList`, `RegistryGet`, `RegistryArrayNew`

DIPlib on-line documentation | Function reference | Global function index